Bug 128936 - compilation of pppoa.so plugin fails using glibc-kernheaders 2.4-8.44.i386
compilation of pppoa.so plugin fails using glibc-kernheaders 2.4-8.44.i386
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-01 04:54 EDT by Charlie MacDonald
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-14 07:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie MacDonald 2004-08-01 04:54:12 EDT
Description of problem:
Compilation of pppoa.so module for ppp as well as bewan-pci modules 
fail using the latest glibc-kernheaders

Version-Release number of selected component (if applicable):
glibc-kernheaders 2.4-8.44.i386


How reproducible:
every time

Steps to Reproduce:
1. patch pppd source code using pppoa patches and try to compile
2. try to build bewan-pci 0.87 drivers
3.
  
Actual results:
compilation fails

Expected results:
compilation works

Additional info:
downgrade to glibc-kernheaders-2.4-8.10 and compilation is successful
Comment 1 Charlie MacDonald 2004-08-01 04:58:08 EDT
Error from pppd compilation

/usr/include/linux/atmppp.h:20: error: syntax error before 
"atm_backend_t"
/usr/include/linux/atmppp.h:22: error: syntax error before '}' token
pppoatm.c: In function `set_line_discipline_pppoatm':
pppoatm.c:49: error: storage size of `be' isn't known
pppoatm.c:57: error: `atm_backend_t' undeclared (first use in this 
function)
pppoatm.c:57: error: (Each undeclared identifier is reported only 
once
pppoatm.c:57: error: for each function it appears in.)
pppoatm.c: In function `reset_line_discipline_pppoatm':
pppoatm.c:63: error: `atm_backend_t' undeclared (first use in this 
function)
pppoatm.c:63: error: syntax error before "be"
pppoatm.c:65: error: `be' undeclared (first use in this function)
make[1]: *** [pppoatm.so] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/ppp-2.4.2/pppd/
plugins'
Comment 2 Charlie MacDonald 2004-08-01 04:59:46 EDT
From bewan-pci 0.87 build

status.c:32: error: field `atm' has incomplete type
status.c: In function `msw_ctrl':
status.c:236: error: invalid application of `sizeof' to an incomplete 
type
status.c: In function `open_device':
status.c:267: error: invalid application of `sizeof' to an incomplete 
type
make[3]: *** [status.o] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
adsl_status/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
adsl_status'
make[1]: *** [all-recursive-am] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
adsl_status'
make[1]: Entering directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
unicorntest'
gcc -DVERS=0x087 -Wall -Wstrict-prototypes -O2 -DLINUX -I../amu/ -I..
/include/ unicorntest.c -o unicorntest
unicorntest.c:65: error: field `atm' has incomplete type
unicorntest.c: In function `msw_ctrl':
unicorntest.c:77: error: invalid application of `sizeof' to an 
incomplete type
unicorntest.c: In function `open_device':
unicorntest.c:108: error: invalid application of `sizeof' to an 
incomplete type
make[1]: *** [unicorntest] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
unicorntest'
make[1]: Entering directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
tools'
gcc -DVERS=0x087 -Wall -Wstrict-prototypes -O2 -DLINUX -I../amu/ -I..
/include/ main.c unicorn_status.c unicorn_device.c  -o unicorn_status
In file included from unicorn_status.h:4,
                 from main.c:4:
unicorn_device.h:16: error: field `atm' has incomplete type
In file included from unicorn_status.h:4,
                 from unicorn_status.c:12:
unicorn_device.h:16: error: field `atm' has incomplete type
In file included from unicorn_device.c:13:
unicorn_device.h:16: error: field `atm' has incomplete type
unicorn_device.c: In function `open_device':
unicorn_device.c:33: error: invalid application of `sizeof' to an 
incomplete type
unicorn_device.c: In function `msw_ctrl':
unicorn_device.c:78: error: invalid application of `sizeof' to an 
incomplete type
make[1]: *** [unicorn_status] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/bewan-pci-0.8.7/
tools'
make: *** [applis] Error 2
Comment 3 Arjan van de Ven 2004-08-03 10:15:51 EDT
fixed for the next build

Note You need to log in before you can comment on or make changes to this bug.